# MultiClassLogisticRegression (ARX API Documentation)

org.deidentifier.arx.aggregates.classification

## Class MultiClassLogisticRegression

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.MultiClassLogisticRegression

- All Implemented Interfaces:
    ClassificationMethod

      public class MultiClassLogisticRegression
      extends java.lang.Object
      implements ClassificationMethod

  Implements a classifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiClassLogisticRegression(ClassificationDataSpecification specification, ARXLogisticRegressionConfiguration config)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassificationResult` | `classify(DataHandleInternal features, int row)` Classify
    `void` | `close()` Close
    `void` | `train(DataHandleInternal features, DataHandleInternal clazz, int row)` Train

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiClassLogisticRegression

          public MultiClassLogisticRegression(ClassificationDataSpecification specification,
                                      ARXLogisticRegressionConfiguration config)

      Creates a new instance
      Parameters:
        `specification` -
        `config` -

  - ### Method Detail

    - #### classify

          public ClassificationResult classify(DataHandleInternal features,
                                      int row)

      Description copied from interface: `ClassificationMethod`
      Classify
      Specified by:
        `classify` in interface `ClassificationMethod`
      Returns:

    - #### close

          public void close()

      Description copied from interface: `ClassificationMethod`
      Close
      Specified by:
        `close` in interface `ClassificationMethod`

    - #### train

          public void train(DataHandleInternal features,
                   DataHandleInternal clazz,
                   int row)

      Description copied from interface: `ClassificationMethod`
      Train
      Specified by:
        `train` in interface `ClassificationMethod`